<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@201AD6=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Time"> <comment>Turn it OFF at the end of the stage</comment>
    <script state="run">
      <action>maincpu.pd@201A85=00990901|(maincpu.pd@201A85 BAND ~00FFFFFF)</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives">
    <script state="run">
      <action>maincpu.pb@201B10=0A</action>
    </script>
  </cheat>

  <cheat desc="Infinite Dive Time">
    <script state="run">
      <action>maincpu.pd@20105D=00090909|(maincpu.pd@20105D BAND ~00FFFFFF)</action>
    </script>
  </cheat>

  <cheat desc="Invincibility">
    <script state="run">
      <action>maincpu.pb@20104F=02</action>
    </script>
  </cheat>

  <cheat desc="Select Panel Clear Item">
    <parameter>
      <item value="0x00">None</item>
      <item value="0x01">Y Line</item>
      <item value="0x02">X Line</item>
      <item value="0x03">X/Y Line</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@201057=param</action>
    </script>
  </cheat>

  <cheat desc="Always Have Speed Up">
    <script state="run">
      <action>maincpu.pb@201058=02</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
